Extensions

Get an extension version

Returns one version, by its id or version string, with the manifest it was published with.

GET
/v1/extensions/{id}/versions/{versionId}

Returns one version, by its id or version string, with the manifest it was published with.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string

The extension's id (ext_…) or its name.

Length1 <= length <= 64
versionId*string

The version's id (extver_…) or its version string, such as 1.0.0.

Length1 <= length <= 85

Response Body

ExtensionVersion

application/json
  1. response
id*ExtensionVersionId
Match^extver_[0-9a-hjkmnp-tv-z]{16,24}$
version*string
runtime*string
Value in"hosted""webhook"
bundle*|null
publishedAt*string
manifest*
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.extensions.getVersion({  "id": "example",  "versionId": "example"});
Example Response
{  "id": "string",  "version": "string",  "runtime": "hosted",  "bundle": {    "sha256": "string",    "sizeBytes": -9007199254740991  },  "publishedAt": "string",  "manifest": {    "name": "string",    "displayName": "string",    "description": "string",    "version": "string",    "runtime": "hosted",    "events": [      "mailbox.message.received"    ],    "permissions": [      "read"    ]  }}

Related documentation